Get a supplier
GET
/stock/suppliers/{id}
const url = 'https://example.com/stock/suppliers/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f';const options = { method: 'GET', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/stock/suppliers/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f \ --cookie bottle.session_token=<bottle.session_token>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Responses
Section titled “Responses”The supplier, with its contacts
Media typeapplication/json
object
id
required
UUID v7
string format: uuid
name
required
string
address
required
string | null
accountNumber
required
string | null
note
required
string | null
archivedAt
required
string | null format: date-time
yardIds
required
Array<string>
productIds
required
Array<string>
contacts
required
Array<object>
object
id
required
UUID v7
string format: uuid
name
required
string
jobTitle
required
string | null
phone
required
string | null
email
required
string | null
note
required
string | null
isMain
required
boolean
isBilling
required
boolean
forOrders
required
boolean
forDeliveries
required
boolean
openOrders
required
integer
lastOrderedAt
required
string | null format: date-time
Example
{ "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "yardIds": [ "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" ], "productIds": [ "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" ], "contacts": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}No such supplier or contact in this business
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}